gtksourceviewmm 3.18.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gsv::Style Class Reference

Class representing a style. More...

`#include <gtksourceviewmm/style.h>`

Inherits Glib::Object.

## Public Member Functions
| Style (Style&& src) noexcept
Style& | operator= (Style&& src) noexcept
| ~Style () noexcept override
GtkSourceStyle* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyle* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Style > | copy () const
| Creates a copy of a style, that is a new Style instance which has the same attributes set.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_background () const
| Background color.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_bold () const
| Bold.
Glib::PropertyProxy_ReadOnly< bool > | property_bold_set () const
| Whether bold attribute is set.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_foreground () const
| Foreground color.
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Whether foreground color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_italic () const
| Italic.
Glib::PropertyProxy_ReadOnly< bool > | property_italic_set () const
| Whether italic attribute is set.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_line_background () const
| Line background color.
Glib::PropertyProxy_ReadOnly< bool > | property_line_background_set () const
| Whether line background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Strikethrough.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Whether strikethrough attribute is set.
Glib::PropertyProxy_ReadOnly< bool > | property_underline () const
| Underline.
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Whether underline attribute is set.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::Style > | wrap (GtkSourceStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Class representing a style.

## Constructor & Destructor Documentation

## ◆ Style()

Gsv::Style::Style | ( | Style&& | src | ) |
| noexcept

## ◆ ~Style()

Gsv::Style::~Style | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ copy()

Glib::RefPtr< Style > Gsv::Style::copy | ( |  | ) | const

Creates a copy of a style, that is a new Style instance which has the same attributes set.

Returns
  Copy of a style.

Since gtksourceviewmm 2.2

## ◆ get_type()

static GType Gsv::Style::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceStyle * Gsv::Style::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceStyle * Gsv::Style::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceStyle * Gsv::Style::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Style& Gsv::Style::operator= | ( | Style&& | src | ) |
| noexcept

## ◆ property_background()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_background | ( |  | ) | const

Background color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_background_set | ( |  | ) | const

Whether background color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_bold()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_bold | ( |  | ) | const

Bold.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_bold_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_bold_set | ( |  | ) | const

Whether bold attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_foreground | ( |  | ) | const

Foreground color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_foreground_set | ( |  | ) | const

Whether foreground color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_italic()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_italic | ( |  | ) | const

Italic.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_italic_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_italic_set | ( |  | ) | const

Whether italic attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_background()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_line_background | ( |  | ) | const

Line background color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_background_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_line_background_set | ( |  | ) | const

Whether line background color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_strikethrough | ( |  | ) | const

Strikethrough.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_strikethrough_set | ( |  | ) | const

Whether strikethrough attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_underline | ( |  | ) | const

Underline.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set()

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_underline_set | ( |  | ) | const

Whether underline attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::Style > wrap | ( | GtkSourceStyle * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.